Skip to main content

List TLDs

GET/v2/domain-tlds
API version
v2
Request method
GET
Operation ID
domain-list-tlds

List the top level domains currently supported by our API.

Request​

No request parameters.

Responses​

Format
application/json
Description
  • Array[
    • *object
      • irtpbooleanrequired
      • rgpDaysinteger (≥ 0)required
      • tldstringrequired
      • transferAuthCodeRequiredbooleandeprecatedrequired
      • transferAuthenticationstring (one of: unspecified, code, email, push)required
    ]
Content-Type: application/json

[
{
"irtp": true,
"rgpDays": 123,
"tld": "string",
"transferAuthentication": "unspecified"
}
]
{
"items": {
"properties": {
"irtp": {
"type": "boolean"
},
"rgpDays": {
"minimum": 0,
"type": "integer"
},
"tld": {
"type": "string"
},
"transferAuthCodeRequired": {
"deprecated": true,
"type": "boolean"
},
"transferAuthentication": {
"enum": [
"unspecified",
"code",
"email",
"push"
],
"type": "string"
}
},
"required": [
"tld",
"rgpDays",
"irtp",
"transferAuthCodeRequired",
"transferAuthentication"
],
"type": "object"
},
"type": "array"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/domain-tlds
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.listTlds({});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\ListTlds\ListTldsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListTldsRequest());
$response = $client->domain()->listTlds($request);

var_dump($response->getBody();

On this page